Debian Bug report logs - #600333
[qcontrol] New version available

version graph

Package: qcontrol; Maintainer for qcontrol is Ian Campbell <ijc@hellion.org.uk>; Source for qcontrol is src:qcontrol.

Reported by: "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>

Date: Sat, 16 Oct 2010 07:15:02 UTC

Severity: wishlist

Found in version qcontrol/0.4.2-6

Fixed in version qcontrol/0.4.2+svn-r40-1

Done: Ian Campbell <ijc@hellion.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Michlmayr <tbm@cyrius.com>:
Bug#600333; Package qcontrol. (Sat, 16 Oct 2010 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>:
New Bug report received and forwarded. Copy sent to Martin Michlmayr <tbm@cyrius.com>. (Sat, 16 Oct 2010 07:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>
To: submit@bugs.debian.org
Subject: [qcontrol] New version available
Date: Sat, 16 Oct 2010 09:13:45 +0200
Package: qcontrol
Version: 0.4.2-6
Severity: wishlist

Hi,

If I correctly read both code and git history, there are 
upstream revisions that have not yet been included in the Debian 
package (r32 to r40).
Furthermore, late Frans Pop did some work in the svn/debian 
branch on http://git.debian.org/?p=collab-maint/qcontrol.git 
which might be interesting (notably about daemon mode).

Thanks,
-- 
 Sylvain Sauvage




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#600333; Package qcontrol. (Mon, 18 Oct 2010 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. (Mon, 18 Oct 2010 15:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 600333@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>, 600333@bugs.debian.org
Subject: Re: Bug#600333: [qcontrol] New version available
Date: Mon, 18 Oct 2010 16:52:53 +0100
* Sylvain L. Sauvage <Sylvain.L.Sauvage@free.fr> [2010-10-16 09:13]:
> If I correctly read both code and git history, there are upstream
> revisions that have not yet been included in the Debian package (r32
> to r40).

Yes, there is new code in git but no new version has been made.  I've
been trying to get the upstream author of qcontrol to finish off this
work and make a release for quite some time but unfortunately he's
rather busy.

Any help is appreciated.  As you say, 
http://git.debian.org/?p=collab-maint/qcontrol.git is a good place to
start.  If you're interested in helping out, I can look through my
email archies for the outstanding issues.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Michlmayr <tbm@cyrius.com>:
Bug#600333; Package qcontrol. (Tue, 19 Oct 2010 08:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>:
Extra info received and forwarded to list. Copy sent to Martin Michlmayr <tbm@cyrius.com>. (Tue, 19 Oct 2010 08:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 600333@bugs.debian.org (full text, mbox):

From: "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>
To: 600333@bugs.debian.org
Subject: Re: Bug#600333: [qcontrol] New version available
Date: Tue, 19 Oct 2010 10:54:07 +0200
Hi,

Le lundi 18 octobre 2010 à 17:52:53, Martin Michlmayr a écrit :
>[…] 
> Yes, there is new code in git but no new version has been
> made.

Ok, so not “released”.
To be honest, filing this bug was mainly a way to publicly 
inquire about the situation.

> I've been trying to get the upstream author of
> qcontrol to finish off this work and make a release for
> quite some time but unfortunately he's rather busy.

I fear the program suffers a “good enough” syndrome: it works 
and what’s missing would cost too much to be worked on.

> Any help is appreciated.  As you say,
> http://git.debian.org/?p=collab-maint/qcontrol.git is a good
> place to start.  If you're interested in helping out, I can
> look through my email archies for the outstanding issues.

Sure, if you please, I might find some I can work on on my spare 
time.

-- 
 Sylvain Sauvage




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#600333; Package qcontrol. (Sat, 22 Jan 2011 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. (Sat, 22 Jan 2011 22:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 600333@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>, 600333@bugs.debian.org
Subject: Re: Bug#600333: [qcontrol] New version available
Date: Sat, 22 Jan 2011 22:12:20 +1100
[Message part 1 (text/plain, inline)]
* Sylvain L. Sauvage <Sylvain.L.Sauvage@free.fr> [2010-10-19 10:54]:
> > Any help is appreciated.  As you say,
> > http://git.debian.org/?p=collab-maint/qcontrol.git is a good
> > place to start.  If you're interested in helping out, I can
> > look through my email archies for the outstanding issues.
> 
> Sure, if you please, I might find some I can work on on my spare 
> time.

Here are some of the remaining issues and tasks I could find:

Things that were on my TODO list:

 - Create config files for each machine type.

 - Figure out a way to identify the QNAP model so we can point
   /etc/qcontrol.conf to the correct config file.  Alternatively, use
   debconf to ask the user.  I've made some progress on this (see the
   attached script).

 - Write a config file that actually regulates the temperature: this
   should be fairly easy for the Kirkwood based devices since you can
   query the temperature.  On Orion devices, you cannot so maybe it
   makes sense to run hddtemp or so.  Also, we'd need to check which
   temperature thresholds the QNAP firmware uses to set fan speeds.

Additionally, there are some things Frans Pop mentioned in the past:

  - "I need to add a check in the qcontrol init script that the daemon
     is running. But I'm waiting with that for a PID implementation for
     the daemon. If we don't get one I can probably use pidof."

 - "I've also been wondering if maybe I should just use the direct mode
    for the init scripts and make the daemon optional. After all, if you
    don't have a fan, does it really make much sense to run a daemon?  Maybe
    for syslogging temperature or something, but that's rather thin."

 - "Decide whether or not we should worry about the daemon crashing or
    malfunctioning while the fan is on its lowest setting. Do the systems
    have proper overheating emergency handling?"

-- 
Martin Michlmayr
http://www.cyrius.com/
[qnap-identify-device (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#600333; Package qcontrol. (Fri, 29 Jun 2012 19:21:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Cane <michele.cane@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 29 Jun 2012 19:21:36 GMT) Full text and rfc822 format available.

Message #25 received at 600333@bugs.debian.org (full text, mbox):

From: Michele Cane <michele.cane@gmail.com>
To: 600333@bugs.debian.org
Subject: New upstream version
Date: Fri, 29 Jun 2012 21:21:06 +0200
[Message part 1 (text/plain, inline)]
Hi,

I was wondering if it is possible to package the new upstream version
which has support for the LCD screen?


Cheers

Mike
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ian Campbell <ijc@hellion.org.uk>:
You have taken responsibility. (Sat, 06 Oct 2012 15:06:06 GMT) Full text and rfc822 format available.

Notification sent to "Sylvain L. Sauvage" <Sylvain.L.Sauvage@free.fr>:
Bug acknowledged by developer. (Sat, 06 Oct 2012 15:06:06 GMT) Full text and rfc822 format available.

Message #30 received at 600333-close@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 600333-close@bugs.debian.org
Subject: Bug#600333: fixed in qcontrol 0.4.2+svn-r40-1
Date: Sat, 06 Oct 2012 15:02:27 +0000
Source: qcontrol
Source-Version: 0.4.2+svn-r40-1

We believe that the bug you reported is fixed in the latest version of
qcontrol, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Campbell <ijc@hellion.org.uk> (supplier of updated qcontrol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 06 Oct 2012 15:32:44 +0100
Source: qcontrol
Binary: qcontrol qcontrol-udeb
Architecture: source armel
Version: 0.4.2+svn-r40-1
Distribution: unstable
Urgency: low
Maintainer: Ian Campbell <ijc@hellion.org.uk>
Changed-By: Ian Campbell <ijc@hellion.org.uk>
Description: 
 qcontrol   - hardware control for QNAP Turbo Station devices
 qcontrol-udeb - hardware control for QNAP Turbo Station devices (udeb)
Closes: 513344 600333 617749 636325 645670
Changes: 
 qcontrol (0.4.2+svn-r40-1) unstable; urgency=low
 .
   [ Ian Campbell ]
   * New maintainer (Closes: #617749)
   * Incorporate unreleased changes by Frans Pop:
     - Update to new upstream snapshot r31 (Closes: #513344).
     - Add an initscript to start daemon on boot.
     - Enable temperature and fan support.
   * Switch to 3.0 (quilt) source format.
   * Switch to debhelper 9 and dh(1).
   * Update version in --version (Closes: #636325).
   * Build on armhf (Closes: 645670).
   * New upstream snapshot r40 (Closes: #600333).
   * Bump standards version to 3.9.4 (no changes needed).
   * Enable hardening flags.
Checksums-Sha1: 
 bf26fb3c5ada56787466fec9dd024d87e20aed76 1991 qcontrol_0.4.2+svn-r40-1.dsc
 fd612530a2016a998cb4d2a258c2b3547172f265 20104 qcontrol_0.4.2+svn-r40.orig.tar.xz
 2c67c44579d34b1c1ba8666ace262bfba1e3d293 10932 qcontrol_0.4.2+svn-r40-1.debian.tar.gz
 b05ca3b5dea74618c19a075160dd2c3eb3b46ded 21794 qcontrol_0.4.2+svn-r40-1_armel.deb
 51f9ae37fff3c72158bc2f89f2e4215901eb2cbe 59224 qcontrol-udeb_0.4.2+svn-r40-1_armel.udeb
Checksums-Sha256: 
 8672c452f53a624660666277cd407d3f39725b52123523a7fc5c450a59e2cfa4 1991 qcontrol_0.4.2+svn-r40-1.dsc
 c461f3e28dc01a5d579d1eed9063cdb2f3a5c5599d6057096e4579a3b6a4a372 20104 qcontrol_0.4.2+svn-r40.orig.tar.xz
 75fc9eded01ef0449e3a3f815aaed63984d3209e005f1c060ac8fbd3843f075d 10932 qcontrol_0.4.2+svn-r40-1.debian.tar.gz
 5b356febbaab5270dd056d914c1a00138a757ae0f5305826bc6cafdcde1d6039 21794 qcontrol_0.4.2+svn-r40-1_armel.deb
 311893b0903dca89723be693678aa820e1f637fdf473d29561d2c148f653daf8 59224 qcontrol-udeb_0.4.2+svn-r40-1_armel.udeb
Files: 
 bfbe6ab3cb02f1371ed443028317e6c7 1991 utils optional qcontrol_0.4.2+svn-r40-1.dsc
 aefdac182b8281f26f34bbaf21785cad 20104 utils optional qcontrol_0.4.2+svn-r40.orig.tar.xz
 0f00bea1a254644b7d4afbb32cf059f3 10932 utils optional qcontrol_0.4.2+svn-r40-1.debian.tar.gz
 41f018188aea18e8a2cc32e040daf834 21794 utils optional qcontrol_0.4.2+svn-r40-1_armel.deb
 296f3bcff6971ed176eaf22c3eb057cb 59224 debian-installer optional qcontrol-udeb_0.4.2+svn-r40-1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQcENtAAoJECouJZ9pWkbG82sP/itsbcGWYl/FYPhC3yZ6Z1hO
ltAZsriV0BSoOL3ZR8bDd1KYrvc+zcBo/29RR7JliUVzvpjULggwgSplmYQG23K1
Zsy2L4vAh0Fix3I+qKRxzcNZTFHmWRPsTV7eMoe/Jm7dn3coFRDn/S6SIaebST16
5VVLlhLkJwLgUa2LOpApbD46gr2Q1zGy6TNQfxZdce7TgT51//rLPA0nzxIoy8N1
2fhZ7u/s+dQ0wHVBFcrnfSqKnLMzX7UxWi/Zu7N7B8+fYcNSrRUad8DdDxDyxszT
g2H9jgyK3NlMWwq8im1rt+BuhaLmnSC7Y108Ntp/ouEAagOQSCERYUW0vcnJXuzH
g7od6DHU8i5Q3gvgIinUIUXBdORoFt0wgx5eiE/9XTAKN172B7VIGaH1seUerbKC
YfpCx6+G1yXOL3xHqEwXU1bCNGE8tkGDl9veMQ5MZew1U7AEIWUbhj3gdzCu6alf
bdP3yDe+TZIi+YnWNpBUPaNswcsPLycjI2YotsmqGEXCDhxg1v4wVR+XYdD7zdWU
QKNZDxK/C41P/yMQn9x0LIWHTVv8ndJUDoQrnfTsV8CkGV5szvI8jl3bF6Btsc0j
aY9Sr6Z2fBR7nqncQCokLj6jp/hPwDKWGBEGoHjiUjboW455gzdXgXnRSaW7FCQI
n13Ar35WWBIxt7JPGf2F
=yIyE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jun 2013 07:30:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:33:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.